Subject: [PATCH v8 0/2] ARM: davinci: dm355: add support for vpbe display

From: [email-masked] (Mauro Carvalho Chehab)
Date: Mon, 8 Apr 2013 09:56:52 -0300

Em Mon, 8 Apr 2013 17:17:34 +0530
Sekhar Nori <[email-masked]> escreveu:

> Hi Maruo,
> 
> On 4/8/2013 4:26 PM, Mauro Carvalho Chehab wrote:
> > Hi Sekhar,
> > 
> > Em Mon, 8 Apr 2013 16:06:24 +0530
> > Sekhar Nori <[email-masked]> escreveu:
> > 
> >> On 4/8/2013 2:56 PM, Prabhakar lad wrote:
> >>> From: Lad, Prabhakar <[email-masked]>
> >>>
> >>> This patch series enables VPBE display driver on DM355.
> >>
> >> These (this and the DM365 one) patches look good to me. I need to get an
> >> immutable branch from Mauro where dependencies are queued and then I can
> >> generate a pull request for these for ARM SoC.
> > 
> > Are you mean a branch at the media development tree for you to sent
> > pull requests for me? If so, just use the "master" branch at the media
> 
> The pull request will be sent to my upstreams (ie the ARM SoC folks -
> Arnd and Olof). Since the platform data patches need driver patches to
> be applied first, I need a non-rebasing branch containing the driver
> stuff which I can use a dependency and apply platform patches on top.

Hmm... I generally wait for arch patches to be applied first, before
sending driver patches. If you're willing to do that, I suggest that
Arnd/Olof should put those patches on a separate topic branch, and
sending an upstream pull request for them after mine.

If the patches are trivial, maybe the better would be to put both
media and arm patches at the same tree, with the other maintainers'
ack.

> 
> > tree:
> > 	http://git.linuxtv.org/media_tree.git
> > 
> > The master branch there is never rebased. I'll likely start to have
> > topic branches on the next Kernel cycle, also at the same tree.
> 
> Ideally I will use the immutable branch which you will also use to send
> pull request to Linus so there are not unnecessary merge conflicts. When
> will those branches be ready?

I use a tree at Kernel.org for Linus submission. I only pull the patches
there when I'm about to ask him to pull, and after being sure that those
patches were already successfully merged at -next tree for some time.
So, you should not base your tree there, as it will have there only the 
patches that I already submitted.

Regards,
Mauro